
Foreman - Bug #1007

Foreman takes to long when searching for reports

06/23/2011 11:18 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This seems to be a problem with environments having a large number of reports (15000+ reports).  The query can take up to 2

minutes to return.

Discussion here:

http://groups.google.com/group/foreman-users/browse_thread/thread/3afc1bebcbe7b682?hl=en

A simple query such as:

https://foreman/reports?search=FQDN

History

#1 - 06/24/2011 01:24 AM - Ohad Levy

- Status changed from New to Need more information

when using a free text search (like in your example), foreman would search across all report attributes for a string called "fqdn", you really want to use

the more specific search in this case, for example:

foreman/reports?search='host = fqdn'

 in order to track the problem around large data set, it would be very helpful to get a debug output of the real sql queries.

#2 - 06/24/2011 05:28 PM - Corey Osman

yep that worked.  Please close

#3 - 06/27/2011 05:42 AM - Ohad Levy

- Status changed from Need more information to Closed
